Announcement

Collapse
No announcement yet.

Doom 3 Dante Engine Runs Faster With GLX Over EGL

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    Originally posted by Tiger_Coder View Post
    I tried to run the dante engine several times but failed all the time. I am using AMD FGLRX 12.6 legacy driver in KUbuntu 12.04. dhewm3 compile and runs fine. But as EGL is not present in fglrx, I could only compile it with OPENGL target. But even then it fails to run all the time. Did anybody got success running it on fglrx?
    Does FGLRX even support EGL?? I know Radeon does, but I thought one of the reasons that the closed source drivers wouldnt work with Wayland was because only the open source drivers supported EGL.

    Comment


    • #12
      Originally posted by Ericg View Post
      Does FGLRX even support EGL?? I know Radeon does, but I thought one of the reasons that the closed source drivers wouldnt work with Wayland was because only the open source drivers supported EGL.

      Yes, but The library is part of the OpenGL ES SDK, and does not have support for OpenGL... The sdk only contains supports OpenGL ES v2.

      Comment


      • #13
        Originally posted by Dandel View Post
        Interesting... Care to describe your system configuration? ( The easy way is to use the command "phoronix-test-suite system-info" )
        It's Arch Linux 64bit with nVidia 9600 GT using the proprietary blob (currently running 304.43 drivers*). There's nothing special about my system. It needed some small changes regarding the path to libGL and libCL (see the AUR package) though (it looks for them in lib64, which is not used on Arch).


        * However, it shouldn't depend on any specific version of drivers, because I've been using gDEBugger on nVidia since the last Christmas.

        Comment


        • #14
          Originally posted by Dandel View Post
          Interesting... Care to describe your system configuration? ( The easy way is to use the command "phoronix-test-suite system-info" )
          Strange, I was sure I already replied to this.

          Anyway, I have nVidia 9600 GT on Arch Linux 64bit, using the proprietary drivers (right now 304.43, but it worked almost a year ago, too). There's nothing peculiar about my system. Oh, I almost forgot gDEBugger looks for libGL and libCL in lib64, which is not used on Arch, so it needs some small tweaks to make it find these libraries (it needs LIBGL_DRIVERS_PATH env variable and link for libCL, for details look at the the AUR package).

          Comment

          Working...
          X